package nl.rubend.zwemtimer

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.Close
import androidx.compose.material.icons.filled.Done
import androidx.compose.material3.AlertDialog
import androidx.compose.material3.Button
import androidx.compose.material3.Icon
import androidx.compose.material3.Text
import androidx.compose.material3.TextButton
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue

@Composable
fun confirmDialog(buttonText: String, question: String, callback: (Boolean) -> Unit) {
    var showDialog by remember { mutableStateOf(false) }
    Button(onClick = {
        showDialog = true
    }) {
        Text(buttonText)
    }
    if(showDialog) AlertDialog(
        onDismissRequest = {
            showDialog = false
            callback(false)
        },
        title = {
            Text(question)
        },
        confirmButton = {
            TextButton(
                onClick = {
                    showDialog = false
                    callback(true)
                }
            ) {
                Icon(imageVector = Icons.Default.Done, contentDescription = null)
                Text(text = "Yes")
            }
        },
        dismissButton = {
            TextButton(
                onClick = {
                    showDialog = false
                    callback(false)
                }
            ) {
                Icon(imageVector = Icons.Default.Close, contentDescription = null)
                Text(text = "No")
            }
        },
    )
}